<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, shrink-to-fit=no, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>billboard.js - examples</title>

    <script src="../d3-4.7.3.js"></script>
    <script src="../dist/billboard.js"></script>
    <link rel="stylesheet" href="../dist/billboard.css">
    <style>
        #chart {width:640px;height:480px;}
    </style>
    <script>
	    function measureCRP() {
		    var t = window.performance.timing,
			    interactive = t.domInteractive - t.domLoading,
			    dcl = t.domContentLoadedEventStart - t.domLoading,
			    complete = t.domComplete - t.domLoading;
		    var stats = document.createElement('p');
		    stats.textContent = 'interactive: ' + interactive + 'ms, ' +
			    'dcl: ' + dcl + 'ms, complete: ' + complete + 'ms';
		    document.body.appendChild(stats);
	    }
    </script>
</head>

<body onload="measureCRP()">

<div id="chart"></div>
<div id="legend"></div>

<script>
	/*var chart = bb.generate({
        bindto: "#chart",
		data: {
			columns: [
				["timestamps", 1495584000000, 1495605600000, 1495627200000, 1495648800000, 1495670400000],
				["data1", 300, 150,  null, 120, 140],
				["data2", 100, null, 200,  100, 100],
				["data3", 100, 160,  200,  null, 50]
			],
			x: "timestamps",
			order: "asc",
			type: "bar",
			groups: [
				["data1", "data2", "data3"]
			]
		},
		line: {
			connectNull: true
		},
        zoom: {
        	enabled: true
        },
		axis: {
			x: {
				type: "timeseries",
				tick: {
					format: "%Y-%m-%d"
				}
			}
		}
	});*/

	/*
        var w = 598, h = 426;

        var x = d3.scaleTime()
            .rangeRound([0, w]);

        var y = d3.scaleLinear()
            .rangeRound([h, 0]);

        var line = d3.line()
            .x(function(d) { return x(d.date); })
            .y(function(d) { return y(d.close); });

    */
	var data = [["timestamps",1495584000000,1495605600000,1495627200000,1495648800000,1495670400000,1495692000000,1495713600000,1495735200000,1495756800000,1495778400000,1495800000000,1495821600000,1495843200000,1495864800000,1495886400000,1495908000000,1495929600000,1495951200000,1495972800000,1495994400000,1496016000000,1496037600000,1496059200000,1496080800000,1496102400000,1496124000000,1496145600000,1496167200000,1496188800000,1496210400000,1496232000000,1496253600000,1496275200000,1496296800000,1496318400000,1496340000000,1496361600000,1496383200000,1496404800000,1496426400000,1496448000000,1496469600000,1496491200000,1496512800000,1496534400000,1496556000000,1496577600000,1496599200000,1496620800000,1496642400000,1496664000000,1496685600000,1496707200000,1496728800000,1496750400000,1496772000000,1496793600000,1496815200000,1496836800000,1496858400000,1496880000000,1496901600000,1496923200000,1496944800000,1496966400000,1496988000000,1497009600000,1497031200000,1497052800000,1497074400000,1497096000000,1497117600000,1497139200000,1497160800000,1497182400000,1497204000000,1497225600000,1497247200000,1497268800000,1497290400000,1497312000000],["dynamodb_table",null,null,0.23271,0.11636,0.11636,0.11636,0.11637,0.11637,0.11637,0.11637,0.11638,0.11638,0.11638,0.11639,0.11639,0.11639,0.11639,0.1164,0.1164,0.1164,0.1164,0.11641,0.11641,0.11641,0.11641,0.11642,0.11642,0.11642,0.11642,0.11643,0.11643,0.11643,0.11643,0.11644,0.11644,0.11644,0.11644,0.11645,0.11645,0.11645,0.11646,0.11646,0.11646,0.11646,0.11647,0.11647,0.11647,0.11647,0.11648,0.11648,0.11648,0.11648,0.11649,0.11649,0.11649,0.11649,0.1165,0.1165,0.1165,0.11651,null,0.11651,0.11651,0.11652,0.11652,0.11652,0.11652,0.11653,0.11653,0.11653,0.11653,0.11654,0.11654,0.11654,0.11654,0.11655,0.11655,0.11655,0.11655,0.11656,0.11656],["database_server",null,null,0.35964,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,null,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982,0.17982],["elasticache_node",null,null,0.29,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,null,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145,0.145]];

	var chart = bb.generate({
		"data": {
			"x": "timestamps",
			"columns": data,
			"groups": [
				["dynamodb_table", "database_server", "elasticache_node"]
            ],
			"type": "area"
		},
		"line":{
			"connectNull": true
		},
		"axis": {
			"x": {
				"type": "timeseries",
				"tick": {
					"format": "%Y-%m-%d"
				},
				"max": "2017-06-13",
				"min": "2017-05-20"
			}
		}
	});
</script>
</body>
</html>